\name{mapz.mrp}
\alias{mapz.mrp}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Maps MrP Estimates for Cantons
%%  ~~function to do ... ~~
}
\description{This is a simple wrapper that reads in shape files and creates an ordinary plot. The displayed map will show the intensity of support for each canton. 
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
mapz.mrp(x, colors.m, threshold, main, legend.text1, legend.text2, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{The output object from \command{\link{mrp.zurich}} whether it is a vector or a  matrix (the latter if simulations were ran in \code{mrp.zurich}). 
%%     ~~Describe \code{x} here~~
}
  \item{colors.m}{Vector of colors to be used in increasing order. If the user does not supply any colors, the plot will use a default option (from red to green).
%%     ~~Describe \code{col.strength} here~~
}
  \item{threshold}{Vector. By default the map breaks support in ten equal-sized intervals. If one supplies colors, the support will be broken into \code{length(colors.m)} equal intervals. If the user wishes to change the intervals this can be done by suplying a vector with interval boundaries starting with 0. For \emph{n} intervals one need \emph{n+1} bondaries.
%%     ~~Describe \code{col.strength} here~~
}
  \item{main}{User may specify a title for the plot.
%%     ~~Describe \code{col.strength} here~~
}
  \item{legend.text1}{User may specify a legend, e.g. \emph{Support of Death Penalty} to declare what the colors indicate.
%%     ~~Describe \code{col.strength} here~~
}
  \item{legend.text2}{Like \code{legend.text1}, offers a second line.
%%     ~~Describe \code{col.strength} here~~
}
  \item{\dots}{additional arguments to be passed to the low level plotting functions.
%%     ~~Describe \code{\dots} here~~
}
}
\details{In the current version this command cannot handle missing values. 
%%  ~~ If necessary, more details than the description above ~~
}
\author{Lucas Leemann
%%  ~~who you are~~
}
\note{The shape files for this command are from the Swiss government and can be downloaded here: \url{http://www.bfs.admin.ch/bfs/portal/de/index/dienstleistungen/geostat/datenbeschreibung/generalisierte_gemeindegrenzen.html}. While this function only needs the cantonal boundaries one can also download the shape files for municipality boundaries at the above mentioned URL.
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~
\seealso{
	\code{\link{zip1}}
}
\examples{
# Vanilla example
fake.pref <- runif(26)
mapz.mrp(fake.pref, main="This Map Shows Random Data", legend.text1="Support for Anything")
## changing intervals
mapz.mrp(fake.pref, threshold=c(0,0.3,0.45,0.48,0.49,0.5,0.51,0.52,0.55,0.7,1))
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{Map}
\keyword{Plot}% __ONLY ONE__ keyword per line
