\name{plotz.mrp}
\alias{plotz.mrp}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Plots MrP Predictions
%%  ~~function to do ... ~~
}
\description{This function plots the results of \code{\link{mrp.zurich}}. User can request that uncertainty is displayed.
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
plotz.mrp(x, conf.int = 0.95, col = "darkorchid3", design.dot = TRUE, lab, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{Object returned from \code{mrp.zurich()}. Can be a vector or a matrix.
%%     ~~Describe \code{x} here~~
}
  \item{conf.int}{Confidence interval that should be displayed. Only meaningful if x is a matrix 26*Number.sim.
%%     ~~Describe \code{conf.int} here~~
}
  \item{col}{Change color (default is \code{darkorchid}).
%%     ~~Describe \code{col} here~~
}

  \item{design.dot}{Logical. If \code{design.dot=TRUE} the plot will display dots. If \code{design.dot=FALSE} the plot will display the cantonal abbreviations (ZH, BE, LU, ...). 
%%     ~~Describe \code{design.dot} here~~
}
  \item{lab}{Label for x-axis. If there is no user specified label the default is \code{"Degree of Estimated Support"}.
%%     ~~Describe \code{design.dot} here~~
}
  \item{\dots}{Further graphical arguments can be used, e.g. \code{main} to specify a title.
%%     ~~Describe \code{\dots} here~~
}
}
\details{The design, when \code{design.dot=FALSE}, was added for Fabio Wasserfallen.
%%  ~~ If necessary, more details than the description above ~~
}
\author{Lucas Leemann
%%  ~~who you are~~
}

\examples{
# fake data example
vec <- pnorm(rnorm(26))
plotz.mrp(vec, design.dot=FALSE,
		  main="Distribution will be Uniform", lab="Heterogeneous Preferences")
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{Ploting}
\keyword{MrP}% __ONLY ONE__ keyword per line
